geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: [Vote] Geronimo Eclipse Plugin (GEP) 3.0-beta-1 RC1.
Date Mon, 21 Nov 2011 18:47:45 GMT
How are the exsd files created? E.g. geronimo-eclipse-plugin-3.0-beta-1/plugins/org.apache.geronimo.jaxbmodel.common/schema/JAXBUtilsProvider.exsd

The underlying question is -- do they require a source license header? If they are automatically
generated from other sources, then they do not require a license header. However, if they
are generated by hand, then they probably do require a license header…

Note that the following text in the NOTICE file should not be there (not a big deal, I think,
but should be cleaned up):

=========================================================================                
                              
==  NOTICE file corresponding to section 4(d) of the Apache License,   ==                
                              
==  Version 2.0, in this case for the Apache Geronimo distribution.    ==                
                              
=========================================================================    

So far, I can't get a build to work. I'm getting:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile
(default-compile) on project org.apache.geronimo.runtime.common: Compilation failure: Compilation
failure:                                         
[ERROR] /Users/kevan/tmp/release/geronimo-eclipse-plugin-3.0-beta-1/plugins/org.apache.geronimo.runtime.common/src/main/java/org/apache/geronimo/runtime/common/log/Logger.java:[21,31]
package org.eclipse.core.runtime does not exist
...

--kevan

On Nov 17, 2011, at 10:39 PM, han hongfang wrote:

> Hi devs,
> 
> Please help to review and vote on the release of Geronimo Eclipse Plugin (GEP) 3.0-beta-1
RC1. 
> 
> GEP 3.0-beta-1 supports Geronimo server 3.0-beta-1, 2.2.1, 2.1.7 and Eclipse Indigo (3.7).

> 
> [Known issue]  GEP 3.0-beta-1 uses maven-eclipsepde-plugin v1.1, which means it can not
be built successfully on 64bit win7 and 64bit macos. See following JIRAs for details.
> - https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-737 Could not build GEP3.0 under
win7-64bit
> - https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-674 Could not build GEP3.0 under
macos-64bit
> 
> The source code zip is here:
> https://repository.apache.org/content/repositories/orgapachegeronimo-206/org/apache/geronimo/devtools/geronimo-eclipse-plugin/3.0-beta-1/geronimo-eclipse-plugin-3.0-beta-1-source-release.zip
> https://repository.apache.org/content/repositories/orgapachegeronimo-206/org/apache/geronimo/devtools/geronimo-eclipse-plugin/3.0-beta-1/geronimo-eclipse-plugin-3.0-beta-1-source-release.tar.gz
> 
> The tag is here:
> https://svn.apache.org/repos/asf/geronimo/devtools/eclipse-plugin/tags/geronimo-eclipse-plugin-3.0-beta-1
> 
> The deployable zip file is here:
> http://people.apache.org/builds/geronimo/eclipse/3.0-beta-1/geronimo-eclipse-plugin-3.0-beta-1-deployable.zip
> 
> The update site zip file is here:
> http://people.apache.org/builds/geronimo/eclipse/3.0-beta-1/geronimo-eclipse-plugin-3.0-beta-1-updatesite.zip
> 
> The p2 repo zip file is here:
> http://people.apache.org/builds/geronimo/eclipse/3.0-beta-1/geronimo-eclipse-plugin-3.0-beta-1-p2repo.zip
> 
> If you would like to review and/or comment on the release notes, you can find it here:
> http://people.apache.org/builds/geronimo/eclipse/updates/PLUGIN_RELEASE-NOTES-3.0-beta-1.txt
> 
> Finally, I've created a Staging Site that can be used to test the update manager functions
of  Eclipse (Indigo and helios): 
> http://people.apache.org/builds/geronimo/eclipse/updates/
>  
> The vote will be open for the 72-hour minimum.
>  
> [  ] +1 about time to push this out the door
> [  ]  0 no opinion
> [  ] -1 not this one  (please explain why) 
> 
> -- 
> Best regards,
> 
> Han Hong Fang (Janet)
> hanhongfang AT apache.org
>  
> 


Mime
View raw message